export async function getHand() {
  const response = await fetch('http://localhost:8080/api/deck/hand');
  if (response.status >= 200 && response.status <= 299) {
    return  await response.json();
  } else {
    throw Error(response.statusText);
  }
}

export async function sortHand(hand) {
  const response = await fetch(`http://localhost:8080/api/deck/hand:sort`, {
    method: 'PUT',
    headers: {'Content-Type': 'application/json'},
    body: JSON.stringify(hand)
  })
  if (response.status >= 200 && response.status <= 299) {
    return  await response.json();
  } else {
    throw Error(response.statusText);
  }
}

export async function resetDeck() {
  return  await fetch(`http://localhost:8080/api/deck:reset`, {
    method: 'PUT'
  })
}
